package com.goafanti.report.bo;

import java.util.Date;
import java.util.HashMap;
import java.util.Map;

import com.goafanti.common.constant.AFTConstants;

public class PersonalSalesReportBO {
	private String						id;
	private String						name;
	private String						departmentName;
	private String						position;
	private Date						enrollTime;

	private Map<String, SalesValues>	values;

	public PersonalSalesReportBO() {
		this.values = new HashMap<>();
		this.values.put(AFTConstants.DAILY, new SalesValues());
		this.values.put(AFTConstants.WEEKLY, new SalesValues());
		this.values.put(AFTConstants.MONTHLY, new SalesValues());
		this.values.put(AFTConstants.QUARTERLY, new SalesValues());
		this.values.put(AFTConstants.ANNUALLY, new SalesValues());
	}

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getDepartmentName() {
		return departmentName;
	}

	public void setDepartmentName(String departmentName) {
		this.departmentName = departmentName;
	}

	public String getPosition() {
		return position;
	}

	public void setPosition(String position) {
		this.position = position;
	}

	public Date getEnrollTime() {
		return enrollTime;
	}

	public void setEnrollTime(Date enrollTime) {
		this.enrollTime = enrollTime;
	}

	public Map<String, SalesValues> getValues() {
		return values;
	}

	public void setValues(Map<String, SalesValues> values) {
		this.values = values;
	}

}
